package bean.filters;

import java.util.Date;

public class RicercaDisposizioniFilterBean {

	private String funzioneOrdinante;
	private String tipoDisposizione;
	private String statoConvalida;
	private String provenienza;
	private String statoDisposizione;
	private String daDistinta;
	private String aDistinta;
	private Boolean flagDaDataInserimento;
	private Date daDataInserimento;
	private Boolean flagADataInserimento;
	private Date aDataInserimento;
	private String destinatario;
	private String codiceFiscale;
	private String codiceDestinatario;
	private String causaleMovimento;
	private String idFunzione;
	private String idUnivoco;
	private Boolean flagDaValutaBeneficiario;
	private Date daValutaBeneficiario;
	private Boolean flagAValutaBeneficiario;
	private Date aValutaBeneficiario;
	private String daImporto;
	private String aImporto;
	private String idEndToEnd;
	private String numeroPolizza;
	private String abiOrdinante;
	private String cabOrdinante;
	private String contoOrdinante;
	private String abiDestinatario;
	private String cabDestinatario;
	private String contoDestinatario;
	private Boolean flagDaDataRicezioneEsito;
	private Date daDataRicezioneEsito;
	private Boolean flagADataRicezioneEsito;
	private Date aDataRicezioneEsito;
	private Boolean flagDaDataEsecuzioneBanca;
	private Date daDataEsecuzioneBanca;
	private Boolean flagADataEsecuzioneBanca;
	private Date aDataEsecuzioneBanca;
	private String esitoDisposizione;
	private String idSDD;
	private String causaleStorno;
	private String trnBonificoSCT;
	private String numeroAssegno;
	private Integer[] selectedIds;
	
	
	
	public String getFunzioneOrdinante() {
		return funzioneOrdinante;
	}
	public void setFunzioneOrdinante(String funzioneOrdinante) {
		this.funzioneOrdinante = funzioneOrdinante;
	}
	public String getTipoDisposizione() {
		return tipoDisposizione;
	}
	public void setTipoDisposizione(String tipoDisposizione) {
		this.tipoDisposizione = tipoDisposizione;
	}
	public String getStatoConvalida() {
		return statoConvalida;
	}
	public void setStatoConvalida(String statoConvalida) {
		this.statoConvalida = statoConvalida;
	}
	public String getProvenienza() {
		return provenienza;
	}
	public void setProvenienza(String provenienza) {
		this.provenienza = provenienza;
	}
	public String getStatoDisposizione() {
		return statoDisposizione;
	}
	public void setStatoDisposizione(String statoDisposizione) {
		this.statoDisposizione = statoDisposizione;
	}
	public String getDaDistinta() {
		return daDistinta;
	}
	public void setDaDistinta(String daDistinta) {
		this.daDistinta = daDistinta;
	}
	public String getaDistinta() {
		return aDistinta;
	}
	public void setaDistinta(String aDistinta) {
		this.aDistinta = aDistinta;
	}
	public Boolean getFlagDaDataInserimento() {
		return flagDaDataInserimento;
	}
	public void setFlagDaDataInserimento(Boolean flagDaDataInserimento) {
		this.flagDaDataInserimento = flagDaDataInserimento;
	}
	public Date getDaDataInserimento() {
		return daDataInserimento;
	}
	public void setDaDataInserimento(Date daDataInserimento) {
		this.daDataInserimento = daDataInserimento;
	}
	public Boolean getFlagADataInserimento() {
		return flagADataInserimento;
	}
	public void setFlagADataInserimento(Boolean flagADataInserimento) {
		this.flagADataInserimento = flagADataInserimento;
	}
	public Date getaDataInserimento() {
		return aDataInserimento;
	}
	public void setaDataInserimento(Date aDataInserimento) {
		this.aDataInserimento = aDataInserimento;
	}
	public String getDestinatario() {
		return destinatario;
	}
	public void setDestinatario(String destinatario) {
		this.destinatario = destinatario;
	}
	public String getCodiceFiscale() {
		return codiceFiscale;
	}
	public void setCodiceFiscale(String codiceFiscale) {
		this.codiceFiscale = codiceFiscale;
	}
	public String getCodiceDestinatario() {
		return codiceDestinatario;
	}
	public void setCodiceDestinatario(String codiceDestinatario) {
		this.codiceDestinatario = codiceDestinatario;
	}
	public String getCausaleMovimento() {
		return causaleMovimento;
	}
	public void setCausaleMovimento(String causaleMovimento) {
		this.causaleMovimento = causaleMovimento;
	}
	public String getIdFunzione() {
		return idFunzione;
	}
	public void setIdFunzione(String idFunzione) {
		this.idFunzione = idFunzione;
	}
	public String getIdUnivoco() {
		return idUnivoco;
	}
	public void setIdUnivoco(String idUnivoco) {
		this.idUnivoco = idUnivoco;
	}
	public Boolean getFlagDaValutaBeneficiario() {
		return flagDaValutaBeneficiario;
	}
	public void setFlagDaValutaBeneficiario(Boolean flagDaValutaBeneficiario) {
		this.flagDaValutaBeneficiario = flagDaValutaBeneficiario;
	}
	public Date getDaValutaBeneficiario() {
		return daValutaBeneficiario;
	}
	public void setDaValutaBeneficiario(Date daValutaBeneficiario) {
		this.daValutaBeneficiario = daValutaBeneficiario;
	}
	public Boolean getFlagAValutaBeneficiario() {
		return flagAValutaBeneficiario;
	}
	public void setFlagAValutaBeneficiario(Boolean flagAValutaBeneficiario) {
		this.flagAValutaBeneficiario = flagAValutaBeneficiario;
	}
	public Date getaValutaBeneficiario() {
		return aValutaBeneficiario;
	}
	public void setaValutaBeneficiario(Date aValutaBeneficiario) {
		this.aValutaBeneficiario = aValutaBeneficiario;
	}
	public String getDaImporto() {
		return daImporto;//.replaceAll(".","").replace(',','.');
	}
	public void setDaImporto(String daImporto) {
		this.daImporto = daImporto;
	}
	public String getaImporto() {
		return aImporto;//.replaceAll(".","").replace(',','.');
	}
	public void setaImporto(String aImporto) {
		this.aImporto = aImporto;
	}
	public String getIdEndToEnd() {
		return idEndToEnd;
	}
	public void setIdEndToEnd(String idEndToEnd) {
		this.idEndToEnd = idEndToEnd;
	}
	public String getNumeroPolizza() {
		return numeroPolizza;
	}
	public void setNumeroPolizza(String numeroPolizza) {
		this.numeroPolizza = numeroPolizza;
	}
	public String getAbiOrdinante() {
		return abiOrdinante;
	}
	public void setAbiOrdinante(String abiOrdinante) {
		this.abiOrdinante = abiOrdinante;
	}
	public String getCabOrdinante() {
		return cabOrdinante;
	}
	public void setCabOrdinante(String cabOrdinante) {
		this.cabOrdinante = cabOrdinante;
	}
	public String getContoOrdinante() {
		return contoOrdinante;
	}
	public void setContoOrdinante(String contoOrdinante) {
		this.contoOrdinante = contoOrdinante;
	}
	public String getAbiDestinatario() {
		return abiDestinatario;
	}
	public void setAbiDestinatario(String abiDestinatario) {
		this.abiDestinatario = abiDestinatario;
	}
	public String getCabDestinatario() {
		return cabDestinatario;
	}
	public void setCabDestinatario(String cabDestinatario) {
		this.cabDestinatario = cabDestinatario;
	}
	public String getContoDestinatario() {
		return contoDestinatario;
	}
	public void setContoDestinatario(String contoDestinatario) {
		this.contoDestinatario = contoDestinatario;
	}
	public Boolean getFlagDaDataRicezioneEsito() {
		return flagDaDataRicezioneEsito;
	}
	public void setFlagDaDataRicezioneEsito(Boolean flagDaDataRicezioneEsito) {
		this.flagDaDataRicezioneEsito = flagDaDataRicezioneEsito;
	}
	public Date getDaDataRicezioneEsito() {
		return daDataRicezioneEsito;
	}
	public void setDaDataRicezioneEsito(Date daDataRicezioneEsito) {
		this.daDataRicezioneEsito = daDataRicezioneEsito;
	}
	public Boolean getFlagADataRicezioneEsito() {
		return flagADataRicezioneEsito;
	}
	public void setFlagADataRicezioneEsito(Boolean flagADataRicezioneEsito) {
		this.flagADataRicezioneEsito = flagADataRicezioneEsito;
	}
	public Date getaDataRicezioneEsito() {
		return aDataRicezioneEsito;
	}
	public void setaDataRicezioneEsito(Date aDataRicezioneEsito) {
		this.aDataRicezioneEsito = aDataRicezioneEsito;
	}
	public Boolean getFlagDaDataEsecuzioneBanca() {
		return flagDaDataEsecuzioneBanca;
	}
	public void setFlagDaDataEsecuzioneBanca(Boolean flagDaDataEsecuzioneBanca) {
		this.flagDaDataEsecuzioneBanca = flagDaDataEsecuzioneBanca;
	}
	public Boolean getFlagADataEsecuzioneBanca() {
		return flagADataEsecuzioneBanca;
	}
	public void setFlagADataEsecuzioneBanca(Boolean flagADataEsecuzioneBanca) {
		this.flagADataEsecuzioneBanca = flagADataEsecuzioneBanca;
	}
	public Date getaDataEsecuzioneBanca() {
		return aDataEsecuzioneBanca;
	}
	public void setaDataEsecuzioneBanca(Date aDataEsecuzioneBanca) {
		this.aDataEsecuzioneBanca = aDataEsecuzioneBanca;
	}
	public Date getDaDataEsecuzioneBanca() {
		return daDataEsecuzioneBanca;
	}
	public void setDaDataEsecuzioneBanca(Date daDataEsecuzioneBanca) {
		this.daDataEsecuzioneBanca = daDataEsecuzioneBanca;
	}
	public String getEsitoDisposizione() {
		return esitoDisposizione;
	}
	public void setEsitoDisposizione(String esitoDisposizione) {
		this.esitoDisposizione = esitoDisposizione;
	}
	public String getIdSDD() {
		return idSDD;
	}
	public void setIdSDD(String idSDD) {
		this.idSDD = idSDD;
	}
	public String getCausaleStorno() {
		return causaleStorno;
	}
	public void setCausaleStorno(String causaleStorno) {
		this.causaleStorno = causaleStorno;
	}
	public String getTrnBonificoSCT() {
		return trnBonificoSCT;
	}
	public void setTrnBonificoSCT(String trnBonificoSCT) {
		this.trnBonificoSCT = trnBonificoSCT;
	}
	public String getNumeroAssegno() {
		return numeroAssegno;
	}
	public void setNumeroAssegno(String numeroAssegno) {
		this.numeroAssegno = numeroAssegno;
	}
	public Integer[] getSelectedIds() {
		return selectedIds;
	}
	public void setSelectedIds(Integer[] selectedIds) {
		this.selectedIds = selectedIds;
	}
	
	
	
}
